# X880_ReturnError Class Reference

`#include <x880.h>`

Inheritance diagram for X880_ReturnError:

List of all members.

## Public Types

enum | OptionalFields { e_parameter }

## Public Member Functions

| X880_ReturnError (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

X880_InvokeId | m_invokeId
X880_Code | m_errorCode
PASN_OctetString | m_parameter

## Member Enumeration Documentation

enum X880_ReturnError::OptionalFields

Enumerator:

  e_parameter |

## Constructor & Destructor Documentation

X880_ReturnError::X880_ReturnError | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX X880_ReturnError::GetDataLength | ( |  | ) | const

PBoolean X880_ReturnError::Decode | ( | PASN_Stream & | strm | ) |

void X880_ReturnError::Encode | ( | PASN_Stream & | strm | ) | const

void X880_ReturnError::PrintOn | ( | ostream & | strm | ) | const

Comparison X880_ReturnError::Compare | ( | const PObject & | obj | ) | const

PObject* X880_ReturnError::Clone | ( |  | ) | const

## Member Data Documentation

X880_InvokeId X880_ReturnError::m_invokeId

X880_Code X880_ReturnError::m_errorCode

PASN_OctetString X880_ReturnError::m_parameter

The documentation for this class was generated from the following file:

- x880.h